commit: 1ef1b1f83c095b4d59dc8e9c822df6dbeb40bdca
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 25 21:27:34 2019 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Sep 25 21:35:39 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ef1b1f8
media-libs/mesa: Fix more libglvnd issues
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
media-libs/mesa/mesa-19.2.0.ebuild | 11 ++++++++---
media-libs/mesa/mesa-9999.ebuild | 11 ++++++++---
2 files changed, 16 insertions(+), 6 deletions(-)
diff --git a/media-libs/mesa/mesa-19.2.0.ebuild
b/media-libs/mesa/mesa-19.2.0.ebuild
index 53a94beb608..27301deb54b 100644
--- a/media-libs/mesa/mesa-19.2.0.ebuild
+++ b/media-libs/mesa/mesa-19.2.0.ebuild
@@ -243,6 +243,7 @@ x86? (
usr/lib*/libGLESv2.so.2.0.0
usr/lib*/libGL.so.1.2.0
usr/lib*/libOSMesa.so.8.0.0
+ libglvnd? ( usr/lib/libGLX_mesa.so.0.0.0 )
)"
llvm_check_deps() {
@@ -503,6 +504,8 @@ multilib_src_compile() {
multilib_src_install() {
meson_src_install
+
+ use libglvnd && rm -f "${D}"/usr/$(get_libdir)/pkgconfig/{egl,gl}.pc
}
multilib_src_install_all() {
@@ -514,9 +517,11 @@ multilib_src_test() {
}
pkg_postinst() {
- # Switch to the xorg implementation.
- echo
- eselect opengl set --use-old ${OPENGL_DIR}
+ if ! use libglvnd; then
+ # Switch to the xorg implementation.
+ echo
+ eselect opengl set --use-old ${OPENGL_DIR}
+ fi
}
# $1 - VIDEO_CARDS flag (check skipped for "--")
diff --git a/media-libs/mesa/mesa-9999.ebuild b/media-libs/mesa/mesa-9999.ebuild
index 53a94beb608..27301deb54b 100644
--- a/media-libs/mesa/mesa-9999.ebuild
+++ b/media-libs/mesa/mesa-9999.ebuild
@@ -243,6 +243,7 @@ x86? (
usr/lib*/libGLESv2.so.2.0.0
usr/lib*/libGL.so.1.2.0
usr/lib*/libOSMesa.so.8.0.0
+ libglvnd? ( usr/lib/libGLX_mesa.so.0.0.0 )
)"
llvm_check_deps() {
@@ -503,6 +504,8 @@ multilib_src_compile() {
multilib_src_install() {
meson_src_install
+
+ use libglvnd && rm -f "${D}"/usr/$(get_libdir)/pkgconfig/{egl,gl}.pc
}
multilib_src_install_all() {
@@ -514,9 +517,11 @@ multilib_src_test() {
}
pkg_postinst() {
- # Switch to the xorg implementation.
- echo
- eselect opengl set --use-old ${OPENGL_DIR}
+ if ! use libglvnd; then
+ # Switch to the xorg implementation.
+ echo
+ eselect opengl set --use-old ${OPENGL_DIR}
+ fi
}
# $1 - VIDEO_CARDS flag (check skipped for "--")